VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "clsCallback"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' Guide to the Perplexed: Callback1 Sample
' Copyright (c) 1997 by Desaware Inc.  All Rights Reserved

Option Explicit

Private CallbackObject As Object

' Sample function that sets the callback
Public Sub SetCallback(myobject As Object)
   Set CallbackObject = myobject
End Sub

' Sample function that does the callback
Public Sub EventDemo()
   CallbackObject.SampleEvent "received an event"
End Sub
